com.icl.saxon.exslt

## Class Common

- java.lang.Object
- - com.icl.saxon.exslt.Common

-     public abstract class Common
      extends java.lang.Object

  This class implements extension functions in the http://exslt.org/common namespace.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Common()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeSetValue` | `nodeSet(Value frag)` Convert a result tree fragment to a node-set.
    `static java.lang.String` | `objectType(Value value)` Return the type of the supplied value: "node-set", "string", "number", "boolean", "RTF", or "external"

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Common

          public Common()

  - ### Method Detail

    - #### nodeSet

          public static NodeSetValue nodeSet(Value frag)
                                      throws XPathException

      Convert a result tree fragment to a node-set.
      Throws:
        `XPathException`

    - #### objectType

          public static java.lang.String objectType(Value value)

      Return the type of the supplied value: "node-set", "string", "number", "boolean", "RTF", or "external"